<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: thermo_vars_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">thermo_vars_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a21d5934f272d50c26436575025a54642"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethermo__vars__m.html#a21d5934f272d50c26436575025a54642">init_thermo_vars</a> (thermo)</td></tr>
<tr class="separator:a21d5934f272d50c26436575025a54642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a545e88c487801c481ada9172356c4ed0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethermo__vars__m.html#a545e88c487801c481ada9172356c4ed0">cleanup_thermo_vars</a> (thermo)</td></tr>
<tr class="separator:a545e88c487801c481ada9172356c4ed0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a907bd89f72b564f03650a51d8e9c52ef"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethermo__vars__m.html#a907bd89f72b564f03650a51d8e9c52ef">reset_thermo_vars</a> (thermo)</td></tr>
<tr class="separator:a907bd89f72b564f03650a51d8e9c52ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c26f18d9403a270885a4d9e565f0bbd"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethermo__vars__m.html#a3c26f18d9403a270885a4d9e565f0bbd">thermo_copy</a> (thermo_in, thermo_out)</td></tr>
<tr class="separator:a3c26f18d9403a270885a4d9e565f0bbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a545e88c487801c481ada9172356c4ed0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a545e88c487801c481ada9172356c4ed0">&#9670;&nbsp;</a></span>cleanup_thermo_vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public thermo_vars_m::cleanup_thermo_vars </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>thermo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a21d5934f272d50c26436575025a54642"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21d5934f272d50c26436575025a54642">&#9670;&nbsp;</a></span>init_thermo_vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public thermo_vars_m::init_thermo_vars </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>thermo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacethermo__vars__m_a21d5934f272d50c26436575025a54642_icgraph.png" border="0" usemap="#namespacethermo__vars__m_a21d5934f272d50c26436575025a54642_icgraph" alt=""/></div>
<map name="namespacethermo__vars__m_a21d5934f272d50c26436575025a54642_icgraph" id="namespacethermo__vars__m_a21d5934f272d50c26436575025a54642_icgraph">
<area shape="rect" id="node2" href="namespacethermo__vars__m.html#a907bd89f72b564f03650a51d8e9c52ef" title="thermo_vars_m::reset\l_thermo_vars" alt="" coords="213,5,363,47"/>
<area shape="rect" id="node3" href="namespacethermo__vars__m.html#a3c26f18d9403a270885a4d9e565f0bbd" title="thermo_vars_m::thermo_copy" alt="" coords="191,71,385,98"/>
<area shape="rect" id="node4" href="namespacevdf__defs.html#a1ace5dcaa3abac9da87e67c94d5942b7" title="vdf_defs::add_phys_info" alt="" coords="206,122,370,149"/>
</map>
</div>

</div>
</div>
<a id="a907bd89f72b564f03650a51d8e9c52ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a907bd89f72b564f03650a51d8e9c52ef">&#9670;&nbsp;</a></span>reset_thermo_vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public thermo_vars_m::reset_thermo_vars </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>thermo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacethermo__vars__m.html#a21d5934f272d50c26436575025a54642">init_thermo_vars()</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacethermo__vars__m_a907bd89f72b564f03650a51d8e9c52ef_cgraph.png" border="0" usemap="#namespacethermo__vars__m_a907bd89f72b564f03650a51d8e9c52ef_cgraph" alt=""/></div>
<map name="namespacethermo__vars__m_a907bd89f72b564f03650a51d8e9c52ef_cgraph" id="namespacethermo__vars__m_a907bd89f72b564f03650a51d8e9c52ef_cgraph">
<area shape="rect" id="node2" href="namespacethermo__vars__m.html#a21d5934f272d50c26436575025a54642" title="thermo_vars_m::init\l_thermo_vars" alt="" coords="203,5,340,47"/>
</map>
</div>

</div>
</div>
<a id="a3c26f18d9403a270885a4d9e565f0bbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c26f18d9403a270885a4d9e565f0bbd">&#9670;&nbsp;</a></span>thermo_copy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public thermo_vars_m::thermo_copy </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>thermo_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a>), intent(out)&#160;</td>
          <td class="paramname"><em>thermo_out</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacethermo__vars__m.html#a21d5934f272d50c26436575025a54642">init_thermo_vars()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacethermo__vars__m_a3c26f18d9403a270885a4d9e565f0bbd_cgraph.png" border="0" usemap="#namespacethermo__vars__m_a3c26f18d9403a270885a4d9e565f0bbd_cgraph" alt=""/></div>
<map name="namespacethermo__vars__m_a3c26f18d9403a270885a4d9e565f0bbd_cgraph" id="namespacethermo__vars__m_a3c26f18d9403a270885a4d9e565f0bbd_cgraph">
<area shape="rect" id="node2" href="namespacethermo__vars__m.html#a21d5934f272d50c26436575025a54642" title="thermo_vars_m::init\l_thermo_vars" alt="" coords="248,5,385,47"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
